> ## Documentation Index
> Fetch the complete documentation index at: https://doc.raliopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List active activities

> Get a paginated list of all active activities. Names are returned in English by default. Set Accept-Language header to "es" for Spanish names.



## OpenAPI

````yaml get /api/v1/reference/activities
openapi: 3.0.0
info:
  contact:
    email: support@tropipay.com
    name: Tropipay Support
    url: https://help.tropipay.com/contacto/
  description: Banking as a service API.
  title: RALIO API
  version: '1.0'
servers:
  - url: https://sandbox-revo-api.raliopay.com
security: []
paths:
  /api/v1/reference/activities:
    get:
      tags:
        - activities
      summary: List active activities
      description: >-
        Get a paginated list of all active activities. Names are returned in
        English by default. Set Accept-Language header to "es" for Spanish
        names.
      parameters:
        - description: 'Language preference (es for Spanish, default: English)'
          in: header
          name: Accept-Language
          schema:
            type: string
            default: en
        - description: Page number
          in: query
          name: page
          schema:
            type: integer
            default: 1
        - description: Page size
          in: query
          name: pageSize
          schema:
            type: integer
            maximum: 100
            default: 10
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dto.ListActivitiesResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
components:
  schemas:
    dto.ListActivitiesResponse:
      properties:
        activities:
          items:
            $ref: '#/components/schemas/dto.ActivityResponse'
          type: array
        pagination:
          $ref: '#/components/schemas/httpdto.PaginationResponse'
      type: object
    httperror.ErrResponse:
      properties:
        error:
          $ref: '#/components/schemas/httperror.ErrorData'
      type: object
    dto.ActivityResponse:
      properties:
        name:
          example: Sales
          type: string
        slug:
          example: SALES_MANAGER
          type: string
      type: object
    httpdto.PaginationResponse:
      properties:
        next:
          description: URL of the next page (null if no next page)
          type: string
        numPages:
          description: Total number of pages
          type: integer
        page:
          description: Current page number
          type: integer
        pageSize:
          description: Number of items per page
          type: integer
        previous:
          description: URL of the previous page (null if no previous page)
          type: string
        total:
          description: Total number of elements
          type: integer
      type: object
    httperror.ErrorData:
      properties:
        code:
          $ref: '#/components/schemas/httperror.ErrorCode'
        details:
          items:
            $ref: '#/components/schemas/httperror.ErrorDetails'
          type: array
        message:
          type: string
        type:
          $ref: '#/components/schemas/httperror.ErrorType'
      type: object
    httperror.ErrorCode:
      enum:
        - INVALID_REQUEST
        - UNAUTHORIZED
        - FORBIDDEN
        - NOT_FOUND
        - INTERNAL_SERVER_ERROR
        - UNKNOWN_ERROR
        - NOT_IMPLEMENTED
        - TOO_MANY_REQUESTS
        - QUOTE_EXPIRED
        - BAD_GATEWAY
      type: string
      x-enum-varnames:
        - InvalidRequestCode
        - UnauthorizedCode
        - ForbiddenCode
        - NotFoundCode
        - InternalServerCode
        - UnknownErrorCode
        - NotImplementedCode
        - TooManyRequestsCode
        - QuoteExpiredCode
        - BadGatewayCode
    httperror.ErrorDetails:
      properties:
        field:
          type: string
        message:
          type: string
      type: object
    httperror.ErrorType:
      enum:
        - VALIDATION_ERROR
        - CONFLICT_ERROR
        - UNPROCESSABLE_ERROR
        - AUTHENTICATION_ERROR
        - AUTHORIZATION_ERROR
        - NOT_FOUND_ERROR
        - INTERNAL_ERROR
        - NOT_IMPLEMENTED_ERROR
        - UNKNOWN_ERROR
        - RATE_LIMIT_ERROR
        - BAD_GATEWAY_ERROR
      type: string
      x-enum-varnames:
        - ValidationError
        - ConflictError
        - UnprocessableError
        - AuthenticationError
        - AuthorizationError
        - NotFoundError
        - InternalError
        - NotImplementedError
        - UnknownError
        - RateLimitError
        - BadGatewayError

````